Subject: [apps-discuss] tn3270 URI scheme formal specification

From: Mykyta Yevstifeyev <[email-masked]>
Date: Thu, 25 Nov 2010 17:36:03 +0200

Hello all,

There has been a discussion about tn3270 URI scheme
on the lists recently. The consensus was that we need
a formal specification of the scheme. I've made an I-D
on this topic - you are able to find it here:

https://datatracker.ietf.org/doc/draft-yevstifeyev-tn3270-uri/

Feedbacks and suggestions are welcome.

All the best,
Mykyta Yevstifeyev

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Fri, 26 Nov 2010 09:41:11 +0200

Graham,

I have revised the draft. I think it wouldn't move
the 'tn3270' scheme to Permanent but remains it
Provisional with updated registration template.

As for Historic issues, there was a discussion on the list
about this topic and the consesus was that there is no
necessity to move it to Historic, but remain Prov. or Perm.

The references you proposed will be added.

Mykyta Yevstifeyev

2010/11/25, Graham Klyne <[email-masked]>:
> Mykyta Yevstifeyev wrote:
>>    Hello all,
>>
> I think this is a most constructive move to resolve the running debate.
> Kudos:)
>
> My main motivation in reviewing this is to offer a view of how it might meet
> the
> registration criteria (but this is not a formal review for that purpose).  I
> know nothing about the tn3270 scheme, and do not comment on the technical
> content.
>
> I don't feel strongly about this, but the title might usefully be
>    "Reclassification of the tn3270 URI scheme as <foo>"
> (for some value of "<foo>" - see below).
>
> --------
> 1. Introduction
>
>     The tn3270 URI scheme was firstly mentioned in RFC 1738 [RFC1738] in
>     order to be registered as 'Provisional' URI scheme. However there are
>     no acceptable and clear specifications so far.
> ----
>
> I'd argue with "in order to be registered".  As someone noted, RFC1738
> rather
> pre-dates the URI registries :).  Suggest:
> [[
> The tn3270 URI scheme was first mentioned in RFC 1738 [RFC1738].  Following
> the
> creation of the URI scheme registries per RFC4395, it was added to the
> "provisional" registry. However there are no clear specifications so far for
> this scheme.
> ]]
> ----
>
> [...]
>
> --------
> 4. IANA Considerations
>
>     IANA is asked to move the tn3270 URI scheme registration from
>     'Provisional' to 'Permanent'.
> ----
>
> In my view, it would take a lot more than this document to justify moving
> the
> scheme to the 'permanent' registry - that would imply that there is
> widespread
> active and ongoing interest in actually using the scheme.  As reviewer, I'd
> be
> looking for some evidence of this.
>
> On the other hand, if the request were to reclassify the scheme as
> 'historic',
> I'd have fewer such concerns.
>
> --------
> 5. Normative References
>
>     [RFC1738]   Berners-Lee, T., Masinter, L., and M. McCahill, "Uniform
>                 Resource Locators (URL)", RFC 1738, December 1994.
> ----
>
> I think some more refs would be appropriate:
>
> RFC 5234 [RFC5234]
>
> Some documents (any documents) describing Telnet and the 3270 emulation
> framework.
>
> RFC3986, probably (the syntax needs to be consistent with the syntax given
> there)
>
> http://www.rfc-editor.org/rfc/rfc4395.txt, since this is based on the
> registries
> defined there.
>
> #g
> --
>
>

---

From: "t.petch" <[email-masked]>
Date: Fri, 26 Nov 2010 10:10:57 +0100

There is a strong and recent parallel for this kind of action, namely RFC5781.
My idea would be to lift that RFC, lock, stock and barrel, make the very few
necessary changes and submit. In fact, I was .. ah well, never mind.

Tom Petch

----- Original Message -----
From: "Mykyta Yevstifeyev" <[email-masked]>
To: "Graham Klyne" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>
Sent: Friday, November 26, 2010 8:41 AM
Subject: Re: [apps-discuss] [Uri-review] tn3270 URI scheme formalspecification

> _______________________________________________
> apps-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/apps-discuss

---

From: Mykyta Yevstifeyev <[email-masked]>
Date: Fri, 26 Nov 2010 15:56:52 +0200

26.11.2010 13:24, Graham Klyne wrote:
> Ack.  As someone pointed out, the rsync RFC is a good model.
>
> #g
> -- 
>
>
It is really a good idea. I'll try to remake the draft in a few days
so that all notes were taken into consideration.

Mykyta

---

From: Graham Klyne <[email-masked]>
Date: Thu, 25 Nov 2010 18:02:40 +0000

> Feedbacks and suggestions are welcome.

I think this is a most constructive move to resolve the running debate.  Kudos:)

My main motivation in reviewing this is to offer a view of how it might meet the 
registration criteria (but this is not a formal review for that purpose).  I 
know nothing about the tn3270 scheme, and do not comment on the technical content.

--------
1. Introduction

I'd argue with "in order to be registered".  As someone noted, RFC1738 rather 
pre-dates the URI registries :).  Suggest:
[[
The tn3270 URI scheme was first mentioned in RFC 1738 [RFC1738].  Following the 
creation of the URI scheme registries per RFC4395, it was added to the 
"provisional" registry. However there are no clear specifications so far for 
this scheme.
]]
----

[...]

--------
4. IANA Considerations

In my view, it would take a lot more than this document to justify moving the 
scheme to the 'permanent' registry - that would imply that there is widespread 
active and ongoing interest in actually using the scheme.  As reviewer, I'd be 
looking for some evidence of this.

On the other hand, if the request were to reclassify the scheme as 'historic', 
I'd have fewer such concerns.

--------
5. Normative References

RFC 5234 [RFC5234]

Some documents (any documents) describing Telnet and the 3270 emulation framework.

RFC3986, probably (the syntax needs to be consistent with the syntax given there)

http://www.rfc-editor.org/rfc/rfc4395.txt, since this is based on the registries 
defined there.

#g
--